Wednesday, July 4, 2012

PowerPivot add-in installation error

You might encounter the error below when installing PowerPivot add-in for Excel.
Setup is missing prerequisites: This add-in requires Excel 2010. If you have 32-bit Excel, you must install the 32-bit version of the add-in. If not, you must install the 64-bit version. Go to

In more than 50% of the scenarios that I have encountered, the issue was that the user was not installing the right add-in. For example, you would get the error if you are installing a 64-bit version of PowerPivot on a 64-bit machine that has 32-bit version of Excel 2010. When installing PowerPivot add-in for Excel, you don’t look at whether you have a 32-bit machine or a 64-bit machine, instead, you should look at whether you have 32-bit Excel or 64-bit Excel. In other words, if you are using the 32-bit version of Excel 2010, you must use the 32-bit version of PowerPivot and  if you are using the 64-bit version of Excel 2010, you must use the 64-bit version of PowerPivot.

In case the above solution doesn’t work, you can try the suggested resolution in the following KB article - or the following on MSDN forums

Hope this is helpful!

No comments:

Post a Comment